<?php
if(!defined('IN_MADISS')){define('IN_MADISS', true);} //On fait en sorte que les includes sachent qu'ils sont appelé par nos pages et non directement par le navigateur.
require_once('functions/sqlite.php');
require_once('functions/functions.php');
$sql_error = false;

$oldFileName = json_decode(file_get_contents(dirname(__FILE__).'/AutoUpdate/temp/TempUpdateModules.json'), true);
if(!$oldFileName){
	$error[] = 'Could not get OLD modules names !';
	$sql_error = true;
}
$list_all_page = glob(dirname(__FILE__).'/DOCS/*.*.*'); //on liste tout les modules
foreach($list_all_page as $page){
	$page_infos = explode('.',$page);
	if($page_infos[3] == 'php'){
		$future_name[$page_infos[0]] = $page;
		if(array_key_exists($page_infos[0], $oldFileName)){
			if(!rename($page, $oldFileName[$page_infos[0]])){
				$error[] = 'Could not rename '.$page_infos[0].' !';
			}else{
				$statut[] = $page_infos[0].' renamed.';
			}
		}
	}
}
if(!unlink(dirname(__FILE__).'/AutoUpdate/temp/TempUpdateModules.json')){
	$statut[] = 'Could not delete TempUpdateModules.json, <u>you have to do it yourself</u> !';
}else{
	$statut[] = 'TempUpdateModules.json deleted';
}
if($sql_error != true){
	//On update le numéro de version !
	_UPDATECONFIG('application_version', '2.2.2');
}else{
	$error[] ='Could not update MADISS version, something went wrong !';
}
?>