<?php
/*
	@! MADISS
	@@ MAke DIgital Signage Simple
	@@ Version 1.1 (10/2016)
-----------------------------------------------------------------------------	
	** author: Benoît FACCHINETTI 
	** Site: http://benserveur.fr.cr/MADISS
	** email: benoitfacchinetti@gmail.com
-----------------------------------------------------------------------------
	@@package: Général
	@@version: 1.1
*/
if(!defined('IN_MADISS')){define('IN_MADISS', true);}	//On fait en sorte que les includes sachent qu'ils sont appelé par nos pages et non directement par le navigateur.
require_once('init.php');
if(!isset($_SESSION['user_id']) OR $_SESSION['user_id'] == NULL OR $_SESSION['user_droit'] > '1'){ echo "<meta http-equiv=\"refresh\" content=\"0;url=enter.php\" />"; exit;}


 //DEBUT TRAITEMENT 
 //Ceation new membres
if (isset($_POST['service_name']) && $_POST['service_name']!=null && isset($_POST['space']) && $_POST['space']!=null) {
		
	   $service_name = _SECURISE($_POST['service_name']);
	   $space = _SECURISE($_POST['space']);
	   
	  if (empty($service_name) || empty($space)) {
	   $mess = '<div class="alert bg-warning" role="alert">
					<svg class="glyph stroked flag"><use xlink:href="#stroked-flag"></use></svg> Tous les champs sont obligatoire
				</div>';
	  }else{
			if(_UPDATECONFIG('service_name', $service_name) && _UPDATECONFIG('allowed_space', $space)){
				$mess = '<div class="alert bg-success" role="alert">
							<svg class="glyph stroked checkmark"><use xlink:href="#stroked-checkmark"></use></svg> Paramètres mis à jours
						</div>';
			}else{
				$mess = '<div class="alert bg-warning" role="alert">
						<svg class="glyph stroked flag"><use xlink:href="#stroked-flag"></use></svg> Erreur lors de la mise à jour
					</div>';
			}
	  }
  }
if(isset($_POST['site']) && $_POST['site'] != null && $_POST['service'] != null && $_POST['Type_P'] != null){
	$data = array('sc_service' => $_POST['service'], 'sc_site' => $_POST['site'], 'sc_id' => uniqid());
	$encoded = base64url_encode(json_encode($data));
}else{
	$encoded = 'Veuillez saisir un lieu et un service !';
}
	$s_name = _GETCONFIG('service_name')['value'];
	
  $server_space = round(disk_total_space("/")/1000000000);
  $server_used = $server_space - round(disk_free_space("/")/1000000000);
  $server_persent = ($server_used/$server_space)*100;
  if($server_persent > 75){$chartId = 'easypiechart-red';}else{$chartId = 'easypiechart-blue';}
  $Server_url = 'http://'.$_SERVER['HTTP_HOST'].dirname($_SERVER['REQUEST_URI']).'/'.$_POST['Type_P'];
//FIN TRAITEMENT

include('template/template.php'); 
include('template/header.php');
template_header($s_name); 
 
include('template/admin_gestion.php');


include('template/footer.php');


?>