<?php
/*
	@! MADISS
	@@ MAke DIgital Signage Simple
	@@ Version 2.1.1 (02/2018)
-----------------------------------------------------------------------------	
	** author: Benoît FACCHINETTI 
	** Site: http://benserveur.fr.cr/MADISS
	** email: benoitfacchinetti@gmail.com
-----------------------------------------------------------------------------
	@@package: Général
	@@version: 2.0
*/
if(!defined('IN_MADISS')){define('IN_MADISS', true);} //On fait en sorte que les includes sachent qu'ils sont appelé par nos pages et non directement par le navigateur.
if(session_id() == "" && !isset($_SESSION)){ session_start();}
require_once('init.php');
//DEBUT TRAITEMENT\\
//On selectionne le plugin à afficher
$content = select_plugin();
//On extrait l'adresse du plugin à afficher
$plugin_selected = $content['p_selected'];
//On extrait les infos du plugin à afficher
$infos = $content['p_infos'];
//On selectionne le slider à afficher
$slider = select_scrolling();
$slider_content = file_get_contents($slider['s_selected']);
$slider_content = str_replace(array("<p>", "</p>", "<hr />", "<br />"), " ", $slider_content);
//FIN TRAITEMENT\\
?>

<link href="template/css/bootstrap.min.css" rel="stylesheet">
<link href="template/css/styles.css" rel="stylesheet">
<meta http-equiv="cache-control" content="no-cache" />
<meta http-equiv="pragma" content="no-cache" />
<html lang="fr">
<meta charset="UTF-8">
<?php
//DEBUT ACCESS CONTROL\\
$list_screans = _GETSCREANS();
if(isset($_GET['SCID']) && $_GET['SCID'] != null){
	$SCID = _SECURISE($_GET['SCID']);
	$decoded = json_decode(base64url_decode($SCID),true);
	//TODO : VERIFIER QUE LE SCID EST VALIDE !
	if(in_array($SCID, $list_screans)){	//si l'écran est dans la liste des écrans
		$screen_info = _GETSCREANSINFOS($SCID);
		if($screen_info['actif'] == 'true' or _GETSCREANSINFOS('CONFIG')['all_allow'] == 'true'){	//si l'écran est actif ou que la règle "all_allow" et vrais
			//On enregistre la date et l'heure d'access dans un fichier
			$new_tentative = array('last_connect' => date("d-m-Y H:i:s"));
			_UPDATESCREANS($new_tentative, $SCID);
			// on rempli faussement les infos utiles manquantes car c'est pas un Player
			if(empty($screen_info['ip_locale']) OR empty($screen_info['player version'])){
				$new_tentative = array('last_connect' => date("d-m-Y H:i:s"), 'player_version' => 'PC', 'ip_locale' => get_client_ip(), 'infos_libre' => 'Accès autre que par un PLAYER');
				_UPDATESCREANS($new_tentative, $SCID);
			}
		}else{
			// On enregistre la tentative dans un fichier
			$new_tentative = array('last_connect' => date("d-m-Y H:i:s"));
			_UPDATESCREANS($new_tentative, $SCID);
			echo '<div class="col-md-12">
					<div class="panel panel-red">
						<div class="panel-heading dark-overlay">ERREUR 401</div>
						<div class="panel-body">
							<div align="center">
								<h3><p>L\'écran n\'est pas activé dans l\'administration ...</p></h3>
							</div>
							<p>Veuillez rafraichir la page ...</p>
						</div>
					</div>
				</div>
				<meta http-equiv="refresh" content="60">
				';
			exit;
		}
	}else{
		// On enregistre la tentative dans un fichier
		// $new_tentative = array($SCID => array('activ' => 'false', 'last_connect' => date("d-m-Y H:i:s")));
		$new_tentative = array('SCID' => $SCID, 'actif' => 'null', 'ip_locale' => '', 'infos_libre' => '', 'last_connect' => date("d-m-Y H:i:s"));
		_UPDATESCREANS($new_tentative, $SCID);
		echo '<div class="col-md-12">
				<div class="panel panel-red">
					<div class="panel-heading dark-overlay">ERREUR 403</div>
					<div class="panel-body">
						<div align="center">
							<h3><p>L\'écran n\'est pas connu de l\'Administration.<br> Cela rentrera dans l\'ordre après rafraichissement de la page</p></h3>
						</div>
						<p>Veuillez rafraichir la page ...</p>
					</div>
				</div>
			</div>
			<meta http-equiv="refresh" content="60">';
		exit;
	}
}else{
	echo '<div class="col-md-12">
			<div class="panel panel-red">
				<div class="panel-heading dark-overlay">ERREUR 400</div>
				<div class="panel-body">
					<div align="center">
						<h3><p>Mauvaise requête au serveur. <br> Vérifiez le lien du navigateur ou contactez un Administrateur.</p></h3>
					</div>
					<p>Veuillez rafraichir la page ...</p>
				</div>
			</div>
		</div>
		<meta http-equiv="refresh" content="60">';
	exit;
}
//FIN ACCESS CONTROL\\
?>
<?php if($slider['s_infos'][3] != null){?>
<nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
	<div class="container-fluid">
		<div class="navbar-header">
			<marquee scrollamount="<?php echo $slider['s_infos'][3];?>" class="navbar-brand"><?php echo $slider_content;?></marquee>
		</div>				
	</div><!-- /.container-fluid -->
</nav>
<?php }?>
	<?php
		if($infos[3] == 'jpg' OR $infos[3] == 'png' OR $infos[3] == 'gif'){
		?>
		<style>
		img {
			width: 100%;
			height: 93%;
			max-height: 93%;
		}
		</style>
		<img src="<?php echo $plugin_selected;?>"/>
		<?php
		}elseif($infos[3] == 'mp4' OR $infos[3] == 'webm' OR $infos[3] == 'ogg' OR $infos[3] == 'avi'){
		?>
		<style>
			body {background-color: #000000;}
		</style>
		<div align="center">
			<video width="100%" height="95%" src="<?php echo $plugin_selected;?>" controls="controls" autoplay>
				Your browser does not support HTML5 video.
			</video>
		</div>
		<?php
		}else{
			define('LOCAL_CALL', true); //On fait un appel Local => On désactive les includes des pages.
		?>
			<?php include $plugin_selected;?>
			<?php 
			//Si vitesse scroll configuré, on l'applique, sinon on met celle par defaut.
			if(isset($vitesse_scroll) && $vitesse_scroll != null){$vitesse_scroll = $vitesse_scroll;}else{$vitesse_scroll = '100';}
			sleep(1);//On attend 1 sec pour laisser le plugin finir de charger avant de calculer la taille.
			?>
			<script>
				(function() {
				   'use strict';

				   var dbh,sto,num=1,temp=0,scrolldelay=<?php echo $vitesse_scroll;?>;

				function init(){ 
					dbh=document.getElementById("Scroll_zone").offsetHeight;
					$('html, body').animate({scrollTop:0}, 'slow');
					console.log("H"+dbh);
					pageScroll();
				 }

				function pageScroll() {
					window.scrollBy(0,num);
					temp+=num;
				if((temp>=dbh)||(temp<=0)){
					num=-num;
				 }
				   sto=setTimeout(function(){pageScroll();},scrolldelay);
				 }

				   window.addEventListener?
				   window.addEventListener('load',init,false):
				   window.attachEvent('onload',init);
				})();
			</script>
			<script src="./template/js/jquery.js"></script>
		<?php
		}
		?>
	<meta http-equiv="refresh" content="<?php echo $infos[2];?>">
	</body>
</html>