<!--.main-->
	<div class="col-sm-9 col-sm-offset-3 col-lg-10 col-lg-offset-2 main">
		<div class="row">
			<ol class="breadcrumb">
				<li><a href="#"><svg class="glyph stroked home"><use xlink:href="#stroked-home"></use></svg></a></li>
				<li class="active">Ecrans</li>
				<?php if($_SESSION['user_droit'] <= '1'){?><li><a href="./admin_ecrans_logs.php"><svg class="glyph stroked notepad "><use xlink:href="#stroked-notepad"/></svg> Logs</a></li><?php }?>
			</ol>
		</div><!--/.row-->

		<div class="row">
			<div class="col-lg-12">
			<?php
				if(isset($mess) && $mess != null){
			?>
				<br>
				<?php echo $mess;?>
			<?php
				}else{
			?>
				<h1 class="page-header">Gestion des écrans</h1>
			<?php
				}
			?>
			</div>
		</div><!--/.row-->

		<div class="row">
			<div class="col-md-12">
				<div class="panel panel-default">
					<div class="panel-heading">
						Les écrans ...
					</div>
					<div class="panel-body">
						<p>Ici, se trouve la liste des écrans voulant afficher le contenu de votre application. <br> A vous de leurs en autoriser l'accès ou non.</p>
					</div>
				</div>
				<?php if($modif_ecran == true){?>
				<div class="panel panel-default">
					<div class="panel-heading">
						Ecran "<?php echo json_decode(base64url_decode($ecran_selected['SCID']),true)['sc_id'];?>"
					</div>
					<div class="panel-body">
						<div class="col-md-6">
							<form action="" method="post" role="form">
								<input name="id_ecran" type="hidden" value="<?php echo $ecran_selected['SCID'];?>">
								<div class="form-group">
									<label>IP</label>
									<span class="form-control"><?php echo $ecran_selected['ip_locale'];?></span>
								</div>
								<div class="form-group">
									<label>Informations libres</label>
									<input class="form-control" name="infos_libre_ecran" type="text" value="<?php echo $ecran_selected['infos_libre'];?>">
								</div>
								<div class="form-group">
									<label>Activé ?</label>
									<select class="form-control" name="actif_ecran">
									  <option value="<?php echo $ecran_selected['actif'];?>" selected>Actuel: <?php echo $ecran_selected['actif'];?></option>
									  <option value="true">Oui</option>
									  <option value="false">Non</option>
									</select>
								</div>
								<div class="form-group">
									<input class="form-control btn btn-primary" type="submit" value="Valider les modifications">
								</div>

							</form>
						</div>
						<div class="col-md-6">
							<!--PUT SOMETHING HERE-->
							<form action="" method="post" role="form">
								<input name="id_ecran" type="hidden" value="<?php echo $ecran_selected['SCID'];?>">
								<div class="form-group">
									<label>Suppression définitive et immédiate de l'écran </label>
									<input class="form-control btn btn-danger" name="sup_ecran" type="submit" value="Supprimer l'écran de la base de donnée">
									<p>Il se comportera ensuite comme à sa première connexion à l'application.</p>
								</div>
							</form>
						</div>
						<?php if($_SESSION['user_droit'] <= '1'){?>
						<div class="col-md-6">
							<div class="col-md-6">
								<!--PUT SOMETHING HERE-->
								<form action="" method="post" role="form">
									<input name="id_ecran" type="hidden" value="<?php echo $ecran_selected['SCID'];?>">
									<div class="form-group">
										<label>Confirmer l'IP de l'écran</label>
										<input class="form-control btn btn-primary" name="ip_ecran" type="submit" value="Confirmer l'IP">
										<p>L'IP se mettra à jour à la prochaine requette de l'écran.</p>
									</div>
								</form>
							</div>
							<div class="col-md-6">
								<!--PUT SOMETHING HERE-->
								<form action="" method="post" role="form">
									<input name="id_ecran" type="hidden" value="<?php echo $ecran_selected['SCID'];?>">
									<div class="form-group">
										<label>Confirmer la version de l'écran</label>
										<input class="form-control btn btn-primary" name="version_ecran" type="submit" value="Confirmer la version">
										<p>La version se mettra à jour à la prochaine requette de l'écran.</p>
									</div>
								</form>
							</div>
						</div>
						<?php }?>
					</div>
				</div>
				<?php }else{?>
				<div class="panel panel-primary">
					<div class="panel-heading">
						Règle générale pour tous les écrans
					</div>
					<div class="panel-body">
						<p>Vous pouvez choisir de restreindre l'accès au contenu qu'aux écrans Actif ou de le laisser libre.</p>
						<form action="" method="post" role="form">
							<div class="form-group">
								<label>Autorisation d'afficher le contenu pour n'importe quel écran ?</label>
								<select class="form-control" name="regle_generale">
								  <option value="<?php echo $CONFIG['all_allow'];?>" selected>Actuel: <?php echo $RegleG_DICO[$CONFIG['all_allow']];?></option>
								  <option value="true">J'autorise n'importe quel écran à afficher le contenu de l'application.</option>
								  <option value="false">J'autorise SEULEMENT les écrans Actif ci-dessous à afficher le contenu de l'application.</option>
								</select>
							</div>
							<div class="form-group">
								<input class="btn btn-primary" type="submit" value="Valider la règle">
							</div>
						</form>
					</div>
				</div>
				<?php }?>
				<div class="panel panel-default">
					<div class="panel-heading">
						Liste des écrans
					</div>
					<div class="panel-body">
						<table data-toggle="table">
							<thead>
								<tr>
									<th>ID</th>
									<th>IP</th>
									<th>Actif ?</th>
									<th>Infos</th>
									<th>Dernière connexion</th>
									<th>Action</th>
								</tr>
							</thead>
							<tbody>
							<?php
							foreach ($ECRANS as $ecran_info){
								if(isset($ecran_info) && $ecran_info != 'CONFIG'){
									$ecran_IDecoded = json_decode(base64url_decode($ecran_info),true);
									$scid_infos = _GETSCREANSINFOS($ecran_info);
									if(is_numeric($scid_infos['player_version'])){$c_page = 'player.php';}else{$c_page = 'index.php';}
							?>
								<tr>
									<!--<td><?php echo wordwrap($ecran_info, 20, "<br>", true);?></td>-->
									<td><?php echo $ecran_IDecoded['sc_id'];?></td>
									<td><?php echo $scid_infos['ip_locale'];?></td>
									<td><?php echo $EcranActif_DICO[$scid_infos['actif']];?></td>
									<td>
										<ul>
											<li>Site : <?php echo $ecran_IDecoded['sc_site'];?></li>
											<li>Service : <?php echo $ecran_IDecoded['sc_service'];?></li>
											<li>Version : <?php echo $scid_infos['player_version'];?></li>
											<li><?php echo $scid_infos['infos_libre'];?></li>
										</ul>
									</td>
									<td><?php echo $scid_infos['last_connect'];?></td>
									<td><a href="admin_ecrans.php?ecran_id=<?php echo $ecran_info;?>" class="btn btn-default">Modifier</a>
									<a href="" data-toggle="modal" data-target="#<?php echo $ecran_info;?>_Modal" class="btn btn-info">Récupérer ID</a></td>
								</tr>
								<!-- Modal -->
								<div class="modal fade" id="<?php echo $ecran_info;?>_Modal" tabindex="-1" role="dialog" aria-labelledby="AProposModalLabel">
								  <div class="modal-dialog" role="document">
									<div class="modal-content">
									  <div class="modal-header">
										<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
										<h4 class="modal-title" id="<?php echo $ecran_info;?>_ModalLabel">Récuperer l'IDentifiant d'un écran</h4>
									  </div>
									  <div class="modal-body">
										  <p>Vous vous apprétez à récupérer l'ID de l'écran localisé à <b><u><?php echo $ecran_IDecoded['sc_site'];?></u></b> dans le service <b><u><?php echo $ecran_IDecoded['sc_service'];?></u></b></p>
										  <p>Copiez-collez la ligne ci-dessous dans le fichier "fullpagedashboard.txt" de la carte SD de votre écran.</p>
										  <textarea class="form-control" rows="3"><?php echo $Server_url;?>/<?php echo $c_page;?>?SCID=<?php echo $ecran_info;?></textarea>
									  </div>
									  <div class="modal-footer">
										<button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
									  </div>
									</div>
								  </div>
								</div>
							<?php
								}
							}
							?>
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>	<!--/.main-->
