<?php
/*
	@! MADISS
	@@ MAke DIgital Signage Simple
	@@ Version 1.0 (09/2016)
-----------------------------------------------------------------------------	
	** author: Benoît FACCHINETTI 
	** Site: http://benserveur.fr.cr/MADISS
	** email: benoitfacchinetti@gmail.com
-----------------------------------------------------------------------------
	@@package: Modules
	@@version: 1.0
*/
if(!defined('IN_MADISS')){define('IN_MADISS', true);} //On fait en sorte que les includes sachent qu'ils sont appelé par nos pages et non directement par le navigateur.
if(!defined('LOCAL_CALL') OR LOCAL_CALL != true){ //On désactive les includes si la page est appeler en interne.
	require_once('../template/template.php');
	require_once('../functions/sqlite.php');
	require_once('../functions/functions.php');
}

$moduleInfos = _GETMODULESINFOS('actualites_4');
//configure la vitesse du scroll plus le chiffre est grand + la vitesse est lente
$vitesse_scroll = '100';
$data = XMLReader($moduleInfos['module_param']);
if($data){
?>

<!-- Page Content -->
<div id="Scroll_zone" class="col-sm-9 col-lg-12 main">
	<div class="alert bg-primary" role="alert">
		<svg class="glyph stroked pen tip"><use xlink:href="#stroked-pen-tip"/></svg> Actualités de <?php echo $moduleInfos['module_param'];?>.
	</div>
	<div class="row">
		<div class="col-md-12">
		<?php 
		foreach($data->item as $valeur){
		?>
			<div class="panel panel-default">
				<div class="panel-heading">
					<?php echo $valeur->title;?>
					<span class="pull-right"><?php echo $valeur->pubDate;?></span>
				</div>
				<div class="panel-body">
				<?php
				if(isset($valeur->enclosure['url']) && $valeur->enclosure['url'] != null){
				?>
					<div class="col-md-3">
						<img src="<?php echo $valeur->enclosure['url'];?>"></img>
					</div>
					<div class="col-md-9">
						<h4><?php echo $valeur->description;?></h4>
					</div>
				<?php
				}else{
				?>
					<h4><?php echo $valeur->description;?></h4>
				<?php
				}
				?>
				</div>
			</div>
		<?php } ?>	
		</div>
	</div>
	<!-- /.row -->
</div>
<?php }else{?>
	<div class="alert bg-danger" role="alert">
		<svg class="glyph stroked cancel"><use xlink:href="#stroked-cancel"/></svg> Impossible d'afficher le flux "actualites_4" !
	</div>
<?php }?>